Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.documentnavigation.destination
Class PDNamedDestination

    java.lang.Object
      org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
          org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDNamedDestination

All Implemented Interfaces:
  COSObjectable

public class PDNamedDestination
extends PDDestination

This represents a destination to a page by referencing it with a name.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDNamedDestination()` Default constructor.
`PDNamedDestination(COSName dest)` Constructor.
`PDNamedDestination(COSString dest)` Constructor.
`PDNamedDestination(String dest)` Default constructor.

Method Summary
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`String` | `getNamedDestination()` This will get the name of the destination.
`void` | `setNamedDestination(String dest)` Set the named destination.

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
`create, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDNamedDestination

    public PDNamedDestination(COSString dest)

  Constructor.

Parameters:
  `dest` - The named destination.

### PDNamedDestination

    public PDNamedDestination(COSName dest)

  Constructor.

Parameters:
  `dest` - The named destination.

### PDNamedDestination

    public PDNamedDestination()

  Default constructor.

### PDNamedDestination

    public PDNamedDestination(String dest)

  Default constructor.

Parameters:
  `dest` - The named destination.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getNamedDestination

    public String getNamedDestination()

  This will get the name of the destination.

  Returns:
    The name of the destination.

### setNamedDestination

    public void setNamedDestination(String dest)
                             throws IOException

  Set the named destination.

  Parameters:
    `dest` - The new named destination.
  Throws:
    `IOException` - If there is an error setting the named destination.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD